Creates a new article category
Request Information
URI Parameters :
None.
Body Parameters :
article_category| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| parent_id |
Parent Article Category (Parent / Child) |
globally unique identifier | |
| parent_code |
Embedded entity "article_category" for parent using ERP PK when adding/updating article_category |
string | |
| parent_article_category |
Embedded entity "article_category" for parent when adding/updating article_category |
article_category | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the article category |
string |
Required Max length: 50 |
| modified_dateutc |
Readonly system field managed by the database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c68e29be-f822-44e8-8c23-c6d8af015fe4",
"parent_id": "de6e1cee-ea6e-4f9a-bbb4-c842c43ff053",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-27T04:28:57.5819134+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.